zstream Struct Reference

## Data Structures

struct | zstream_funcs

## Data Fields

unsigned long | flags
VALUE | buf
long | buf_filled
VALUE | input
z_stream | stream
struct zstream::zstream_funcs * | func

## Detailed Description

Definition at line 484 of file zlib.c.

## Field Documentation

VALUE zstream::buf

Definition at line 486 of file zlib.c.

Referenced by gzfile_getc(), gzreader_charboundary(), gzreader_gets(), gzreader_skip_linebreaks(), rb_deflate_init_copy(), zstream_append_buffer(), zstream_buffer_ungetbyte(), zstream_buffer_ungets(), zstream_detach_buffer(), zstream_expand_buffer(), zstream_expand_buffer_into(), zstream_init(), zstream_mark(), zstream_reset(), and zstream_shift_buffer().

long zstream::buf_filled

Definition at line 487 of file zlib.c.

Referenced by gzfile_fill(), gzfile_getc(), gzfile_read_more(), gzfile_readpartial(), gzfile_write_raw(), gzreader_charboundary(), gzreader_gets(), gzreader_skip_linebreaks(), rb_deflate_init_copy(), rb_deflate_params(), rb_gzfile_total_out(), zstream_append_buffer(), zstream_buffer_ungetbyte(), zstream_buffer_ungets(), zstream_detach_buffer(), zstream_expand_buffer(), zstream_expand_buffer_into(), zstream_init(), zstream_reset(), zstream_run(), and zstream_shift_buffer().

unsigned long zstream::flags

Definition at line 485 of file zlib.c.

Referenced by gzfile_check_footer(), gzfile_fill(), gzfile_getc(), gzfile_make_footer(), gzfile_make_header(), gzfile_read_all(), gzfile_reader_end(), gzfile_reader_end_run(), gzfile_reader_get_unused(), gzfile_readpartial(), gzfile_write(), gzfile_write_raw(), gzfile_writer_end(), gzfile_writer_end_run(), rb_deflate_init_copy(), rb_gzfile_set_comment(), rb_gzfile_set_mtime(), rb_gzfile_set_orig_name(), rb_gzfile_set_sync(), rb_gzfile_sync(), zstream_end(), zstream_init(), zstream_reset(), and zstream_run().

struct zstream::zstream_funcs * zstream::func

Referenced by gzfile_free(), zstream_end(), zstream_finalize(), zstream_init(), zstream_reset(), and zstream_run().

VALUE zstream::input

Definition at line 488 of file zlib.c.

Referenced by gzfile_check_footer(), gzfile_raise(), gzfile_read_header(), gzfile_read_raw_ensure(), gzfile_read_raw_until_zero(), gzfile_reader_get_unused(), gzfile_reader_rewind(), rb_deflate_init_copy(), rb_zstream_avail_in(), zstream_append_input(), zstream_detach_input(), zstream_discard_input(), zstream_init(), zstream_mark(), zstream_passthrough_input(), zstream_reset_input(), zstream_run(), and zstream_sync().

z_stream zstream::stream

Definition at line 489 of file zlib.c.

Referenced by gzfile_check_footer(), gzfile_make_footer(), gzfile_reader_rewind(), rb_deflate_init_copy(), rb_deflate_initialize(), rb_deflate_params(), rb_deflate_s_deflate(), rb_deflate_set_dictionary(), rb_gzfile_total_in(), rb_gzfile_total_out(), rb_gzreader_initialize(), rb_gzwriter_initialize(), rb_inflate_initialize(), rb_inflate_s_inflate(), rb_inflate_set_dictionary(), rb_inflate_sync_point_p(), rb_zstream_adler(), rb_zstream_avail_out(), rb_zstream_data_type(), rb_zstream_total_in(), rb_zstream_total_out(), zstream_append_buffer(), zstream_buffer_ungetbyte(), zstream_buffer_ungets(), zstream_detach_buffer(), zstream_end(), zstream_expand_buffer(), zstream_expand_buffer_into(), zstream_finalize(), zstream_init(), zstream_reset(), zstream_run(), zstream_shift_buffer(), and zstream_sync().

The documentation for this struct was generated from the following file:

- ext/zlib/zlib.c